Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.mina
Class MinaTaskClientHandler

    java.lang.Object
      org.apache.mina.core.service.IoHandlerAdapter
          org.jbpm.task.service.mina.BaseMinaHandler
              org.jbpm.task.service.mina.MinaTaskClientHandler

All Implemented Interfaces:
  org.apache.mina.core.service.IoHandler, BaseHandler

    public class MinaTaskClientHandler

extends BaseMinaHandler

Field Summary

Fields inherited from class org.jbpm.task.service.mina.BaseMinaHandler
`responseHandlers`

Constructor Summary
`MinaTaskClientHandler(org.kie.SystemEventListener systemEventListener)`

Method Summary
`void` | `exceptionCaught(org.apache.mina.core.session.IoSession session, Throwable cause)`
`TaskClient` | `getClient()`
`void` | `messageReceived(org.apache.mina.core.session.IoSession session, Object message)`
`void` | `setClient(TaskClient client)`

Methods inherited from class org.jbpm.task.service.mina.BaseMinaHandler
`addResponseHandler`

Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter
`messageSent, sessionClosed, sessionCreated, sessionIdle, sessionOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinaTaskClientHandler

    public MinaTaskClientHandler(org.kie.SystemEventListener systemEventListener)

Method Detail

### getClient

    public TaskClient getClient()

### setClient

    public void setClient(TaskClient client)

### exceptionCaught

    public void exceptionCaught(org.apache.mina.core.session.IoSession session,
                                Throwable cause)
                         throws Exception

  Specified by:
    `exceptionCaught` in interface `org.apache.mina.core.service.IoHandler`
  Overrides:
    `exceptionCaught` in class `org.apache.mina.core.service.IoHandlerAdapter`
  Throws:
    `Exception`

### messageReceived

    public void messageReceived(org.apache.mina.core.session.IoSession session,
                                Object message)
                         throws Exception

  Specified by:
    `messageReceived` in interface `org.apache.mina.core.service.IoHandler`
  Overrides:
    `messageReceived` in class `org.apache.mina.core.service.IoHandlerAdapter`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.